Method: projects.locations.experimentTemplates.create

Creates a new experiment template. You can use this template to create multiple Experiment instances.

HTTP request

POST https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/experimentTemplates

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location where this experiment template will be created. Format: projects/{projectId}/locations/{location}.

Query parameters

Parameters
experimentTemplateId

string

Optional. The ID to use for the experiment template, which will become the final component of the resource name. This value should be 4-63 characters, start with a letter, end with a letter or number, and contain only lowercase letters, numbers, and hyphens.

Request body

The request body contains an instance of ExperimentTemplate.

Response body

If successful, the response body contains a newly created instance of ExperimentTemplate.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.experimentTemplates.create

For more information, see the IAM documentation.